package com.lerx.dao.iface;

import java.util.List;

import com.lerx.entities.AlbumFans;
import com.lerx.hql.entities.Rs;

public interface IAlbumFansDao {
	
	public long add(AlbumFans fans);
	public AlbumFans findByID(long id);
	public boolean delByID(long id);
	public void modify(AlbumFans fans);
	public AlbumFans findByUidAndAid(long uid,long aid);
	public List<AlbumFans> findByAid(long aid);
	public Rs queryByAid(long aid,int firstResult,int page,int pagesize);
	public List<AlbumFans> findByUid(long uid);
	public Rs queryByUid(long uid,int firstResult,int page,int pagesize);
	public Rs queryNewPublishAlbumByUid(long uid,int firstResult,int page,int pagesize);

}
